### Hierarchy

- IDBRequest<IDBDatabase>
  - IDBOpenDBRequest

## Index

### Properties

- IDBRequest
- error
- onblocked
- onerror
- onsuccess
- onupgradeneeded
- readyState
- result
- source
- transaction

### Methods

- addEventListener
- dispatchEvent
- removeEventListener

## Properties

### IDBRequest

IDBRequest: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9127

#### Type declaration

- ##### constructor: function

  - new __type(): IDBRequest
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9128

    #### Returns IDBRequest

- ##### prototype: IDBRequest

### error

error: DOMException | null

Inherited from IDBRequest.error

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9097

When a request is completed, returns the error (a DOMException), or null if the request succeeded. Throws a "InvalidStateError" DOMException if the request is still pending.

### onblocked

onblocked: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9074

### onerror

onerror: function | null

Inherited from IDBRequest.onerror

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9098

### onsuccess

onsuccess: function | null

Inherited from IDBRequest.onsuccess

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9099

### onupgradeneeded

onupgradeneeded: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9075

### readyState

readyState: IDBRequestReadyState

Inherited from IDBRequest.readyState

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9104

Returns "pending" until a request is complete, then returns "done".

### result

result: IDBDatabase

Inherited from IDBRequest.result

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9110

When a request is completed, returns the result, or undefined if the request failed. Throws a "InvalidStateError" DOMException if the request is still pending.

### source

source: IDBObjectStore | IDBIndex | IDBCursor

Inherited from IDBRequest.source

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9115

Returns the IDBObjectStore, IDBIndex, or IDBCursor the request was made against, or null if is was an open request.

### transaction

transaction: IDBTransaction | null

Inherited from IDBRequest.transaction

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9120

Returns the IDBTransaction the request was made within. If this as an open request, then it returns an upgrade transaction while it is running, or null otherwise.

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides IDBRequest.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9076

  #### Type parameters

  - #### K: keyof IDBOpenDBRequestEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: IDBOpenDBRequest, ev: IDBOpenDBRequestEventMap[K]): any

      - #### Parameters

        - ##### this: IDBOpenDBRequest

        - ##### ev: IDBOpenDBRequestEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides IDBRequest.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9077

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides IDBRequest.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9078

  #### Type parameters

  - #### K: keyof IDBOpenDBRequestEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: IDBOpenDBRequest, ev: IDBOpenDBRequestEventMap[K]): any

      - #### Parameters

        - ##### this: IDBOpenDBRequest

        - ##### ev: IDBOpenDBRequestEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides IDBRequest.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9079

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc